libqt5opengl5-dev_5.5.1+dfsg-16ubuntu7_amd64.deb


Advertisement

Description

libqt5opengl5-dev - Qt 5 OpenGL library development files

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libqt5opengl5-dev_5.5.1+dfsg-16ubuntu7_amd64.deb
Package name libqt5opengl5-dev
Package version 5.5.1+dfsg
Package release 16ubuntu7
Package architecture amd64
Package type deb
Category libdevel
Homepage http://qt-project.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 30.73 KB
Installed size 230.00 KB
Qt is a cross-platform C++ application framework. Qt's primary feature
is its rich set of widgets that provide standard GUI functionality.
This package contains the development files needed to build Qt 5 applications
using QtOpenGL library.

Alternatives

Package Version Architecture Repository
libqt5opengl5-dev_5.6.1+dfsg-3ubuntu1~xenialoverlay1~4+fix1_i386.deb 5.6.1+dfsg i386 Kubuntu Backports
libqt5opengl5-dev_5.6.1+dfsg-3ubuntu1~xenialoverlay1~4+fix1_amd64.deb 5.6.1+dfsg amd64 Kubuntu Backports
libqt5opengl5-dev_5.5.1+dfsg-16ubuntu7.6_i386.deb 5.5.1+dfsg i386 Ubuntu Updates Main
libqt5opengl5-dev_5.5.1+dfsg-16ubuntu7.6_amd64.deb 5.5.1+dfsg amd64 Ubuntu Updates Main
libqt5opengl5-dev_5.5.1+dfsg-16ubuntu7_i386.deb 5.5.1+dfsg i386 Ubuntu Main
libqt5opengl5-dev - - -

Requires

Name Value
libqt5opengl5 = 5.5.1+dfsg-16ubuntu7
qtbase5-dev = 5.5.1+dfsg-16ubuntu7

Replaces

Name Value
qtbase5-dev << 5.4.0+dfsg-6~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libqt5opengl5-dev_5.5.1+dfsg-16ubuntu7_amd64.deb
Source Package qtbase-opensource-src

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libqt5opengl5-dev deb package:
    # sudo apt-get install libqt5opengl5-dev

Files

Path
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/QGL
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/QGLBuffer
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/QGLColormap
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/QGLContext
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/QGLFormat
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/QGLFramebufferObject
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/QGLFramebufferObjectFormat
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/QGLFunctions
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/QGLFunctionsPrivate
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/QGLPixelBuffer
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/QGLShader
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/QGLShaderProgram
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/QGLWidget
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/QtOpenGL
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/QtOpenGLDepends
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/QtOpenGLVersion
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/qgl.h
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/qglbuffer.h
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/qglcolormap.h
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/qglframebufferobject.h
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/qglfunctions.h
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/qglpixelbuffer.h
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/qglshaderprogram.h
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/qtopenglglobal.h
/usr/include/x86_64-linux-gnu/qt5/QtOpenGL/qtopenglversion.h
/usr/lib/x86_64-linux-gnu/libQt5OpenGL.prl
/usr/lib/x86_64-linux-gnu/libQt5OpenGL.so
/usr/lib/x86_64-linux-gnu/cmake/Qt5OpenGL/Qt5OpenGLConfig.cmake
/usr/lib/x86_64-linux-gnu/cmake/Qt5OpenGL/Qt5OpenGLConfigVersion.cmake
/usr/lib/x86_64-linux-gnu/pkgconfig/Qt5OpenGL.pc
/usr/share/doc/libqt5opengl5-dev/LGPL_EXCEPTION.txt
/usr/share/doc/libqt5opengl5-dev/changelog.Debian.gz
/usr/share/doc/libqt5opengl5-dev/copyright

Changelog

2016-04-12 - Dmitry Shachnev <mitya57@ubuntu.com>
qtbase-opensource-src (5.5.1+dfsg-16ubuntu7) xenial; urgency=medium
[ Dmitry Shachnev ]
* Backport upstream change from 5.6 branch to implement better detection
of indicator-application based trays. Refs LP: #1546328.
* Update symbols files for symbols added in the latest patches.
[ Timo Jyrinki ]
* debian/patches/fix-duplicate-qnam-finished.patch:
- Fix multiple calls to signals of QNAM object (LP: #1564142)
2016-04-05 - Timo Jyrinki <timo-jyrinki@ubuntu.com>
qtbase-opensource-src (5.5.1+dfsg-16ubuntu6) xenial; urgency=medium
[ Alberto Mardegan ]
* debian/patches/xcb_fix_parent_screen_of_embedded_windows.patch:
- Fix wrong size of embedded window. Fixed in upstream Qt 5.6.
(LP: #1564767)
2016-04-05 - Robie Basak <robie.basak@ubuntu.com>
qtbase-opensource-src (5.5.1+dfsg-16ubuntu5) xenial; urgency=medium
* Rebuild against libmysqlclient20.
2016-03-29 - Timo Jyrinki <timo-jyrinki@ubuntu.com>
qtbase-opensource-src (5.5.1+dfsg-16ubuntu4) xenial; urgency=medium
* debian/patches/qdoc-Wrap-QML-read-only-and-default-qualifiers-in-br.patch:
- Fix typos in property definitions. (LP: #1557259)
* Temporarily disable a test broken by glibc upgrade (LP: #1560528). 
2016-03-07 - Timo Jyrinki <timo-jyrinki@ubuntu.com>
qtbase-opensource-src (5.5.1+dfsg-16ubuntu1) xenial; urgency=medium
* Merge with Debian 5.5.1+dfsg-16.
2016-03-05 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qtbase-opensource-src (5.5.1+dfsg-16) unstable; urgency=medium
* Add fix_alsa_detection.patch to workaround ALSA >= 1.1.0 detection.
2016-03-04 - Timo Jyrinki <timo-jyrinki@ubuntu.com>
qtbase-opensource-src (5.5.1+dfsg-15ubuntu1) xenial; urgency=medium
* Merge with Debian 5.5.1+dfsg-15.
2016-03-03 - Dmitry Shachnev <mitya57@debian.org>
qtbase-opensource-src (5.5.1+dfsg-15) unstable; urgency=medium
[ Timo Jyrinki ]
* Backport XCB patch related to screen disconnection handling QTBUG-42985:
- xcb-fix-yet-another-crash-when-screens-are-disconnec.patch
* debian/patches/Prefer-QT_PLUGIN_PATH-over-compiled-in-paths.patch:
- Backport. Prefer QT_PLUGIN_PATH over compiled-in paths (LP: #1519927)
* Fix Chinese glyph font rendering with new backported upstream patches:
- debian/patches/Fix-falsely-reported-style-for-fallback-font.patch
- debian/patches/Remove-historical-4-padding-in-QFontEngine-alphaMapF.patch
(LP: #1475205)
[ Dmitry Shachnev ]
* Backport several upstream dbusmenu/dbustray related fixes from 5.6 branch.
* Correct license of japanese_230_50.qpf font in debian/copyright. Thanks to
Arnout Vandecappelle for the patch (closes: #815616).
* debian/generateTLDs.sh: Set -e to fail when a subcommand fails.
* Call generateTLDs.sh with LC_ALL=C.UTF-8, to workaround a bug in grep.
See http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22838.
* Use https URIs for Vcs fields.
* Bump Standards-Version to 3.9.7, no changes needed.
[ Lisandro Damián Nicanor Pérez Meyer ]
* Remove the transitional package libqt5xcbqpa5, there are no rdeps left in
sid or testing.
2016-03-02 - Timo Jyrinki <timo-jyrinki@ubuntu.com>
qtbase-opensource-src (5.5.1+dfsg-14ubuntu3) xenial; urgency=medium
* debian/patches/Xcb-fix-crash-on-screen-power-save.patch:
- Fix additional cases where crash could occur on monitor disconnections 
or power save. (LP: #1551122)
* Build with C.UTF-8 locale to (LP: #1551145) and re-enable tests (LP: #1548686)

See Also

Package Description
libqt5opengl5_5.5.1+dfsg-16ubuntu7_amd64.deb Qt 5 OpenGL module
libqt5organizer5_5.0~git20140515~29475884-0ubuntu20_amd64.deb Qt PIM module, Organizer library
libqt5positioning5-plugins_5.5.1-3ubuntu1_amd64.deb Qt Positioning module - position plugins
libqt5positioning5_5.5.1-3ubuntu1_amd64.deb Qt Positioning module
libqt5printsupport5_5.5.1+dfsg-16ubuntu7_amd64.deb Qt 5 print support module
libqt5qml5_5.5.1-2ubuntu6_amd64.deb Qt 5 QML module
libqt5quick5_5.5.1-2ubuntu6_amd64.deb Qt 5 Quick library
libqt5quickparticles5_5.5.1-2ubuntu6_amd64.deb Qt 5 Quick particles module
libqt5quicktest5_5.5.1-2ubuntu6_amd64.deb Qt 5 Quick Test library
libqt5quickwidgets5_5.5.1-2ubuntu6_amd64.deb Qt 5 Quick Widgets library
libqt5sql5-sqlite_5.5.1+dfsg-16ubuntu7_amd64.deb Qt 5 SQLite 3 database driver
libqt5sql5_5.5.1+dfsg-16ubuntu7_amd64.deb Qt 5 SQL module
libqt5svg5-dev_5.5.1-2build1_amd64.deb Qt 5 SVG module development files
libqt5svg5_5.5.1-2build1_amd64.deb Qt 5 SVG module
libqt5test5_5.5.1+dfsg-16ubuntu7_amd64.deb Qt 5 test module
Advertisement
Advertisement